Bug 825823 - [abrt] gnomint-1.2.1-2.fc15: __GI_raise: Process /usr/bin/gnomint was killed by signal 6 (SIGABRT)
[abrt] gnomint-1.2.1-2.fc15: __GI_raise: Process /usr/bin/gnomint was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnomint (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Huffman
Fedora Extras Quality Assurance
abrt_hash:876f6327860dd2e7171e7662b8d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 11:04 EDT by Allan Engelhardt
Modified: 2013-02-13 06:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.66 KB, text/plain)
2012-05-28 11:04 EDT, Allan Engelhardt
no flags Details
File: dso_list (7.53 KB, text/plain)
2012-05-28 11:05 EDT, Allan Engelhardt
no flags Details
File: maps (37.25 KB, text/plain)
2012-05-28 11:05 EDT, Allan Engelhardt
no flags Details
File: backtrace (12.87 KB, text/plain)
2012-05-28 11:05 EDT, Allan Engelhardt
no flags Details

  None (edit)
Description Allan Engelhardt 2012-05-28 11:04:55 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnomint
crash_function: __GI_raise
executable:     /usr/bin/gnomint
kernel:         3.3.4-3.fc16.x86_64
pid:            30243
pwd:            /home/allane
reason:         Process /usr/bin/gnomint was killed by signal 6 (SIGABRT)
time:           Mon 28 May 2012 16:01:32 BST
uid:            1000
username:       allane

backtrace:      Text file, 13178 bytes
dso_list:       Text file, 7715 bytes
environ:        Text file, 4768 bytes
maps:           Text file, 38149 bytes

build_ids:
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:9efd824bf587def50099e2ae657a5cce012fa658
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fc8df5efad8976eba0eebe467ef8736055391e68
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:23b6792e3218744316fd495002f40a037c2e0095
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:a638ccc3535e307dfbe8338df04ee414b42a606c
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:719a85c49c612de86619fed98146f316432aee92
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:78895b5fd3e197676d0daf879e151e406d5fc888
:124bfd663f5587288e6e0da8497fb4153469e657
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:f0d50e3af2dfee021a327fb85a993a2312a98145
:8b0f0f32d4400b2bf7632c55f013226297f44d17
:5890c9c36728eccceceaf66992790c1398d6a784
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:578e66700318d8cec8e5f03778c434743a55e153
:12ebe599358398f2c1a5294bb2dd387545474b65
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:4953d1f613914126bccceb3cb96386647ffba9df
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:f9d6bb830751465421ebecfdc0ce055950f339a4
:400444fb368f79b54959b083f449a1497bf71c13
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:163b323da65b708418226eb5fa8b057c731d1475
:4c842320387ff7f6f91b7842b223c16518be909f
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:f8f4d8e260ee8f3b262936920270ace01b2da537
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:4b4a5ba403acccab2f72ebe3908b23a81cc239a2
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:be507c791e34415e8f42f0e6030c889b2895cf9a
:07470201df55a5254027d05fa4dc509b10f2986a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:3bbe4d98714c66cda2944cd39900eea5d348df18
:c6739204320eb15bdcdba039a2b183298170403e
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:eff059eba5bf53059362deacda700d01aa3673e5
:feb0e5f69ad33c6273b56e2258af75eddfa51d72
:e982a67c98e50c7c68039aec0859bc4dfc896270
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:82cca0d5b06a649072a966dc4f05aded63d736bc
:9db4e5fd24f3ebecbfd28027c817d1bd55be5277
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:f2e24eed69cdecfdc16ed844c315a295459441ff
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:8d19aeb6e9a7f3c4d6ff6e5d0a76cb616c5ee141
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:39294193f046cf15442542705526228c60d70a6e

comment:
:Creating a new self-signed ca with an empty data base (just installed the application). This crash is completely reproducible.
:Command line usage gives something like
:
:[allane@server ~]$ *** glibc detected *** gnomint: double free or corruption (fasttop): 0x0000000001cf4660 ***
:======= Backtrace: =========
:/lib64/libc.so.6[0x370f27dda6]
:/lib64/libglib-2.0.so.0(g_free+0x23)[0x3712e4bc53]
:gnomint(tls_creation_data_free+0x9d)[0x41eddd]
:gnomint(ca_creation_thread+0x7c0)[0x41b710]
:/lib64/libglib-2.0.so.0[0x3712e6a6e6]
:/lib64/libpthread.so.0[0x370fe07d90]
:/lib64/libc.so.6(clone+0x6d)[0x370f2f0f5d]
:======= Memory map: ========
:00400000-0043b000 r-xp 00000000 fd:09 1315847                            /usr/bin/gnomint
:[etc]

var_log_messages:
:May 28 15:30:24 server yum[29392]: Installed: gnomint-1.2.1-2.fc15.x86_64
:May 28 15:48:03 server abrt[29848]: Saved core dump of pid 29415 (/usr/bin/gnomint) to /var/spool/abrt/ccpp-2012-05-28-15:48:02-29415 (41525248 bytes)
:May 28 15:54:41 server abrt[30042]: Saved core dump of pid 30007 (/usr/bin/gnomint) to /var/spool/abrt/ccpp-2012-05-28-15:54:41-30007 (14020608 bytes)
:May 28 16:01:33 server abrt[30298]: Saved core dump of pid 30243 (/usr/bin/gnomint) to /var/spool/abrt/ccpp-2012-05-28-16:01:32-30243 (14176256 bytes)

xsession_errors:
:(gnomint:30243): Gtk-CRITICAL **: IA__gtk_radio_button_set_group: assertion `!g_slist_find (group, radio_button)' failed
:*** glibc detected *** gnomint: double free or corruption (fasttop): 0x0000000000c99e30 ***
:gnomint(tls_creation_data_free+0x9d)[0x41eddd]
:gnomint(ca_creation_thread+0x7c0)[0x41b710]
:00400000-0043b000 r-xp 00000000 fd:09 1315847                            /usr/bin/gnomint
:0063b000-0063d000 rw-p 0003b000 fd:09 1315847                            /usr/bin/gnomint
Comment 1 Allan Engelhardt 2012-05-28 11:04:59 EDT
Created attachment 587248 [details]
File: environ
Comment 2 Allan Engelhardt 2012-05-28 11:05:01 EDT
Created attachment 587249 [details]
File: dso_list
Comment 3 Allan Engelhardt 2012-05-28 11:05:03 EDT
Created attachment 587250 [details]
File: maps
Comment 4 Allan Engelhardt 2012-05-28 11:05:05 EDT
Created attachment 587251 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 06:56:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 06:32:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.